
From: Zwane Mwaikambo <zwane@fsmlabs.com>

We might as well recommend the user boot with the noapic kernel parameter
instead of filling poor Ingo's mailbox.

Signed-off-by: Zwane Mwaikambo <zwane@fsmlabs.com>
Signed-off-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/io_apic.c   |    2 +-
 25-akpm/arch/x86_64/kernel/io_apic.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/i386/kernel/io_apic.c~recommend-noapic-when-timer-via-ioapic-fails arch/i386/kernel/io_apic.c
--- 25/arch/i386/kernel/io_apic.c~recommend-noapic-when-timer-via-ioapic-fails	Tue Jul 27 14:02:53 2004
+++ 25-akpm/arch/i386/kernel/io_apic.c	Tue Jul 27 14:02:53 2004
@@ -2213,7 +2213,7 @@ static inline void check_timer(void)
 		return;
 	}
 	printk(" failed :(.\n");
-	panic("IO-APIC + timer doesn't work! pester mingo@redhat.com");
+	panic("IO-APIC + timer doesn't work! Try using the 'noapic' kernel parameter\n");
 }
 
 /*
diff -puN arch/x86_64/kernel/io_apic.c~recommend-noapic-when-timer-via-ioapic-fails arch/x86_64/kernel/io_apic.c
--- 25/arch/x86_64/kernel/io_apic.c~recommend-noapic-when-timer-via-ioapic-fails	Tue Jul 27 14:02:53 2004
+++ 25-akpm/arch/x86_64/kernel/io_apic.c	Tue Jul 27 14:02:53 2004
@@ -1747,7 +1747,7 @@ static inline void check_timer(void)
 		return;
 	}
 	printk(" failed :(.\n");
-	panic("IO-APIC + timer doesn't work! pester mingo@redhat.com");
+	panic("IO-APIC + timer doesn't work! Try using the 'noapic' kernel parameter\n");
 }
 
 /*
_
